Loading...

Feedback Message Board



1 Comments

1. Munish Kumar   I Like It. |Report Abuse|  Link|May 13, 2020 1:16:13 AMReply
SAMCO is using old obsolete NEST 3.11 version of 2014. SAMCO is unable to keep pace with the technology and cant even afford latest NEST 3.16 version.

Though they have good support team but if you are using old trading versions then you are at a disadvantage as 3.11 has so many bugs and gliches. Kindly chose wisely. After all it is your hard earned money.